<?php
/** 
 * @Auteur : Aristide Agoyer
 * @Date : 19/12/2013
 */

if(isset($_SESSION['post'])) { 
	// appel à partir de la page  des erreurs ont été trouvées
	//$id = $_SESSION['post']["id"];
	$nom = $_SESSION['post']["nom"];
	$prenom = $_SESSION['post']["prenom"];
	$dateNaissance = $_SESSION['post']["dateNaissance"];
	$ville = $_SESSION['post']["ville"];
	$rue = $_SESSION['post']["rue"];
	$codePostal = $_SESSION['post']["codePostal"];
	$mail = $_SESSION['post']["mail"];
	$numPortable = $_SESSION['post']["numPortable"];
	$numFixe = $_SESSION['post']["numFixe"];
	unset($_SESSION['post']);
	$lesErreurs = $_SESSION['lesErreurs'];
	unset($_SESSION['lesErreurs']);
}
 ?>
<form method='post' 
	action='ajoutSalarie.php'>
	<!-- Choisir le nom du salarié -->
	<label for="nom" title="Saisir le nom">Nom :</label>
	<input 	type='text' size='30' maxlength = '25'id='nom' name='nom'  
		value="<?php echo (isset($nom)) ? htmlspecialchars($nom) : ""; ?>" 
		placeholder="Ex : Dupond"
		autofocus='autofocus'
	/>
	<?php 
	if (isset($lesErreurs['nom'])) {
		echo "<span class='erreur'>" . $lesErreurs['nom'] . "</span>";
	}
	?>
	</br>
	<!-- Choisir le prenom du salarié -->
	<label for="prenom" title="Saisir le prénom"> Prénom :</label>
	<input type='text' size='25' maxlength = '25'id='prenom'  name='prenom' 
		value="<?php echo (isset($prenom)) ? htmlspecialchars(	$prenom) : ""; ?>"
		placeholder="Ex : Claude"
	/>
	<?php 
	if (isset($lesErreurs["prenom"])) {
		echo "<span class='erreur'>" . $lesErreurs["prenom"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir le sexe du salarié-->
	<label for="sexe">Sexe du salarié :</label>
		<select name="sexe" id="sexe">
					<option value="M">Homme</option>
					<option value="F">Femme</option>
		</select>
	</br>
	<!-- Choisir la date de naissance du salarié -->
	<label for="dateNaissance" title="Saisir le date de naissance">
		Date de naissance :
	</label>
	<input type="date" size="10" id="dateNaissance" name="dateNaissance" 
		value="<?php echo isset($dateNaissance) ? $dateNaissance : (date("Y") -20) . "-" . date('m') . "-" . date('d'); ?>"
	/>
	<?php 
	if (isset($lesErreurs["dateNaissance"])) {
		echo "<span class='erreur'>" . $lesErreurs["dateNaissance"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir la ville du salarié -->
	<label for="ville" title="Saisir la ville">Ville :</label>
	<input type='text' size='25' maxlength = '25' id='ville'  name='ville' 
		value="<?php echo (isset($ville)) ? htmlspecialchars(	$ville) : ""; ?>"
		placeholder="Ex : Amiens"
	/>
	<?php 
	if (isset($lesErreurs["ville"])) {
		echo "<span class='erreur'>" . $lesErreurs["ville"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir la ville du salarié -->
	<label for="rue" title="Saisir la rue">Rue :</label>
	<input type='text' size='50' maxlength = '50'id='rue'  name='rue' 
		value="<?php echo (isset($rue)) ? htmlspecialchars(	$rue) : ""; ?>"
		placeholder="Ex : 52 Rue des trois cailloux"
		/>
	<?php 
	if (isset($lesErreurs["rue"])) {
		echo "<span class='erreur'>" . $lesErreurs["rue"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir le code potal du salarié -->
	<label for="codePostal" title="Saisir la code postal">Code postal :</label>
	<input type='text' size='5' maxlength = '5' id='codePostal'  name='codePostal' 
		value="<?php echo (isset($codePostal)) ? htmlspecialchars(	$codePostal) : ""; ?>"
		placeholder="Ex : 80000"
	/>
	<?php 
	if (isset($lesErreurs["codePostal"])) {
		echo "<span class='erreur'>" . $lesErreurs["codePostal"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir l'adresse e-mail du salarié -->
	<label for="mail" >Adresse e-mail :</label>
	<input 	type='mail' size='35' id ='mail' name = 'mail' 
		value="<?php echo (isset($mail)) ? htmlspecialchars($mail) : ""; ?>" 
		placeholder="Ex : adresse.mail@gsbmail.com"
		autocomplete='on'
	/>
	<?php 
	if (isset($lesErreurs["mail"])) {
		echo "<span class='erreur'>" . $lesErreurs["mail"] . "</span>";
	}
	?>
	</br>	
	<!-- Choisir le numero de portable du salarié -->
	<label for="numPortable" title="Saisir le numero de portable">Numéro de portable :</label>
	<input type='text' size='10' maxlength = '10' id='numPortable'  name='numPortable' 
		value="<?php echo (isset($numPortable)) ? htmlspecialchars($numPortable) : ""; ?>"
		placeholder="Ex : 0652556323"
	/>
	<?php 
		if (isset($lesErreurs["numPortable"])) {
			echo "<span class='erreur'>" . $lesErreurs["numPortable"] . "</span>";
		}
	?>
	</br>
	<!-- Choisir le numero fixe du salarié -->
	<label for="numFixe" title="Saisir le numero de fixe">Numéro fixe :</label>
	<input type='text' size='10' maxlength = '10' id='numFixe'  name='numFixe' 
		value="<?php echo (isset($numFixe)) ? htmlspecialchars($numFixe) : ""; ?>"
		placeholder="Ex : 0352556323"
	/>
			<?php 
	if (isset($lesErreurs["numFixe"])) {
		echo "<span class='erreur'>" . $lesErreurs["numFixe"] . "</span>";
	}
	?>
	</br>
	<!-- Choisir le groupe du salarié -->
	<label for="idGroupe">Dans quel groupe voulez-vous ajouter le salarié ?</label><br />
		<select name="idGroupe" id="idGroupe">
			<?php
				$lesLignes = Donnees::getLesGroupes();
				foreach ($lesLignes as $ligne) {
				
					$idGroupe = $ligne['idGroupe'];
					$libelleGroupe = $ligne['libelle'];
					?>
					<option value="<?php
						// echo $ligne['idGroupe'];
						echo $idGroupe;
					?>"><?php
						// echo $ligne['libelle'];
						echo $libelleGroupe;
					?></option>
					<?php
				}	
?>
		</select>
		</br>
		<input type="submit" value="Suivant" />
</form>