<?php 
	if (isset($_GET['id']) && is_numeric($_GET['id'])) {
		$ligne = Donnees::getUneFichesFrais($_GET['id']);
		if($ligne) {
			$id = $ligne['idFicheFrais'];
			$idCommercial = $_SESSION['matricule'];
			$nbKm = $ligne['nbKm'];
			$mois = $ligne['mois'];
			$annee = $ligne['annee'];
			$remarque = $ligne['remarque'];
			$_SESSION['idFicheFrais'] = $id;
			$idEtat = $ligne['idEtat'];
			$getTarifCarburant = Donnees::getTarifKm($idCommercial);
			
			$etatFiche = ' - <span style="color:green">Acceptée par la comptabilité</span>';
			if ($idEtat == 1)
				$etatFiche = ' - <span style="color:blue">En attente</span>';
			else if ($idEtat == 3)
				$etatFiche = ' - <span style="color:red">Refusée par la comptabilité</span>';
	?>
			<h1>
			<?php echo "Fiche frais du : " . $mois . "/" . $annee . $etatFiche . "</br>"; ?>
			</h1>
			<?php 
				if ($idEtat == 3) 
					echo "Motif : " . $remarque . "</br>"; 
			?>
			<h2>Eléments forfaitaires</h2>
			<table cellpadding="0" cellspacing="0">
			   <tr>
				  <th style="width:210px;text-align:left;background-color:#8fafd5;height:25px">Frais forfaitaires</td>
				  <th style="width:150px;text-align:left;background-color:#8fafd5;">Quantité</td>
				  <th style="width:150px;text-align:left;background-color:#8fafd5;">Montant unitaire</td>
				  <th style="width:150px;text-align:left;background-color:#8fafd5;">Total</td>
				  <th style="width:200px;text-align:left;background-color:#8fafd5;">Pièce jointe</td>
			   </tr>
			   <?php
					$elementForfaitaire = Donnees::getElementsForfaitairesCom($id, 1);
			   ?>
			   <tr>
					<td>Nuité</td>
					<td><?php echo $elementForfaitaire['qte']; ?></td>
					<td><?php echo Donnees::getTarifElementForfaitaire(1) . " €"; ?></td>
					<td><?php echo $elementForfaitaire['qte'] * Donnees::getTarifElementForfaitaire(1) . " €"; ?></td>
					<td>
						<?php
								$nbJus = 0;
								$lesJustificatifs = Donnees::getLesJustificatifs($id, 1);
								if(count($lesJustificatifs) > 0) {
									foreach ($lesJustificatifs as $justificatif) {
										$nbJus ++;
									?>	
										<a class = "justificatif" rel="nuite" href="<?php echo "upload/" . $justificatif['nom']; ?>" ><?php if($nbJus == 1){ echo count($lesJustificatifs) . " justificatif(s)"; } ?></a>
									<?php	
									}					
								}
						?>			
					</td>
			   </tr>
				<?php
					$elementForfaitaire = Donnees::getElementsForfaitairesCom($id, 2);
				?>
			   <tr>
					<td>Repas Midi</td>
					<td><?php echo $elementForfaitaire['qte']; ?></td>
					<td><?php echo Donnees::getTarifElementForfaitaire(2) . " €"; ?></td>
					<td><?php echo $elementForfaitaire['qte'] * Donnees::getTarifElementForfaitaire(2) . " €"; ?></td>
					<td> 
							
							<?php
								$nbJus = 0;
								$lesJustificatifs = Donnees::getLesJustificatifs($id, 2);
								if(count($lesJustificatifs) > 0) {
									foreach ($lesJustificatifs as $justificatif) {
										$nbJus ++;
									?>	
										<a class = "justificatif" rel="repas" href="<?php echo "upload/" . $justificatif['nom']; ?>" ><?php if($nbJus == 1){ echo count($lesJustificatifs) . " justificatif(s)"; } ?></a>
									<?php	
									}					
								}
							?>
					</td>
				</tr>
			   
			   <tr>
				  <td>Kilométrage</td>
				  <td><?php echo $nbKm . " Km";  ?></td>
				  <td><?php echo $getTarifCarburant['tarifKm'] . " €";  ?></td>
				  <td><?php echo $nbKm * $getTarifCarburant['tarifKm'] . " €"; ?></td>
			   </tr>
			</table>
			<?php 			
				$horsForfait = Donnees::getElementsHorsForfait($id); 
				if(count($horsForfait) > 0){
			?>
			<br>
			<h2>Autres frais</h2>
			<table id = "dt" cellpadding="0" cellspacing="0">
			   <tr>
				  <th style="width:170px;text-align:left;background-color:#8fafd5;height:25px">Date</td>
				  <th style="width:285px;text-align:left;background-color:#8fafd5">Libelle</td>
				  <th style="width:110px;text-align:left;background-color:#8fafd5">Montant</td>
				  <th style="width:320px;text-align:left;background-color:#8fafd5">Pièce jointe</td>
			   </tr>
			   <?php 
					foreach($horsForfait as $ligne) {
			   ?>
					<tr>
						<td><?php echo Fonction::conversionDateMysqlDateFr($ligne['date']); ?></td>
						<td><?php echo $ligne['libelle']; ?></td>
						<td><?php echo $ligne['montant']; ?> €</td>
						<td>
						<?php
							if(!empty($ligne["justificatif"])) {
								?>	
									<a class = "justificatif" href="<?php echo "upload/" . $ligne["justificatif"]; ?>" >Justificatif</a>
								<?php				
							}
						?>
						</td>
					   </tr>
			   <?php
					}
				}
				?>
			</table>
			<br>
			<?php 
				if ($idEtat == 1) {
			?>
					<form name="validation_fiche" action ="annulerFiche.php" method="post">
						<input name="annuler" type="submit" value=" Annuler la fiche " onclick ="return confirm('Confirmer l\'annulation de la fiche de frais ?')"/>
					</form>
	<?php 
				}
		} else {
			echo "<h2><center>Aucune fiche de frais trouvée.</center></h2>";
		}
	}
?>