<?php
/** 
 * @author GirardRmi
 * @date 14/11/2013
*/

class Fonction { 

//Echappper les caractres :
	static public function echapperCaractere($unChamp) { 
		return addslashes(stripslashes(trim($unChamp)));
	}	 	

	static public function conversionDateMysqlDateFr($date) { 
		$mydate = substr($date, 0, 10);
		$tab = explode("-", $mydate);
		$res = ((strlen($tab[2]) < 2) ? "0" : "") . $tab[2] . "/" . ((strlen($tab[1]) < 2) ? "0" : "") . $tab[1] . "/" .$tab[0];
		return ($res);
	} 
	
/** 
* Mthode formatValide

* Contrle les champs

*/
	static public function formatValide($champ, $format) {
		$correct = true;
		switch ($format) {
			case 'login':
				$correct = preg_match("/^[a-zA-Z0-9\-\_.]*$/", $champ);
				break;
			case 'alpha':
				$correct = preg_match("/^[a-zA-Z\s]*$/", $champ);
				break;
			case 'nom': 
				$correct = preg_match("/^[a-zA-Z\s '-]*$/i", $champ);
				break;
			case 'txt':
				$correct = preg_match("/^[0-9a-zA-Z\s ',-]*$/i", $champ);
				break;
			case 'codePostal':
				$correct = preg_match("/^[0-9]{5}$/", $champ);
				break;
			case 'mail':
				$correct = preg_match("/^[0-9a-z]([-_.]?[0-9a-z])*@[0-9a-z]([-_.]?[0-9a-z])*\.[a-z]{2,4}$/i", $champ);
				break;
			case 'chiffre':
				$correct = preg_match("/^[0-9]*$/", $champ);
				break;
			case 'tel':
				$correct = preg_match("/^([0][1-9]([\.\_\/\-\s]?[0-9]{2}){4})?$/", $champ);
				break;
			case 'dateFr':
				$correct = preg_match('`^([0-9]{1,2})[-/.]([0-9]{1,2})[-/.]([0-9]{4})$`', $champ, $tdebut);
				if ($correct) {
					$correct = checkdate($tdebut[2], $tdebut[1], $tdebut[3]) && ($tdebut[3] > 1900);
				}
				break;
			case 'dateMysql':
				
				$correct = preg_match('`^([0-9]{4})[-/.]([0-9]{1,2})[-/.]([0-9]{1,2})$`', $champ, $tdebut);
				
				if ($correct) {
					$correct = checkdate($tdebut[2], $tdebut[3], $tdebut[1]) && ($tdebut[1] > 1900);
				}
				break;
			case 'url':
				$correct = preg_match("`^http(s)?://[\-0-9a-zA-Z]+\.[a-zA-Z]{2,4}`", $champ);
				break;
			default :
				$correct = true;
		}
		return $correct;
	}
	
/** 
* Fonction verifierUniciteEmail

* Vrification de l'unicit sur l'Email

*/
	
	static public function verifierUniciteEmail($mail) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE mail = '" . $mail . "'"; 
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	 }
	 
	static public function verifierUniciteEmailId($mail, $idSalarie) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE mail = '" . $mail . "' and idSalarie != " . $idSalarie; 
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}

/** 
* Fonction verifierUniciteNomPrenom

* Vrification de l'unicit sur le nom et prnom

*/
	 
	static public function verifierUniciteNomPrenomId($nom, $prenom, $idSalarie) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE nom = '" . $nom . "'"; 
		$sql .= " and prenom = '" . $prenom . "' and idSalarie != " . $idSalarie;
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}
	
	static public function verifierUniciteNomPrenom($nom, $prenom) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE nom = '" . $nom . "'"; 
		$sql .= " and prenom = '" . $prenom . "'";
		// $curseur = mysql_query($sql);
		$curseur = $db->query($sql);
		// return (mysql_fetch_array($curseur) ? 1 : 0); 
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}
	
/** 
* Fonction verifierUniciteTel

* Vrification de l'unicit sur le tel

*/
	
	static public function verifierUniciteNumPortable($numPortable) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE numPortable = '" . $numPortable . "'";
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}
	
	static public function verifierUniciteNumPortableId($numPortable, $idSalarie) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE numPortable = '" . $numPortable . "' and idSalarie != " .$idSalarie;
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}
	
	static public function verifierUniciteNumFixe($numFixe) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE numFixe = '" . $numFixe . "'";
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0); 
	}
	
	static public function verifierUniciteNumFixeId($numFixe, $idSalarie) {
		global $db;
		$sql = "SELECT 1 FROM Salarie WHERE numFixe = '" . $numFixe . "' and idSalarie != " .$idSalarie;
		$curseur = $db->query($sql);
		return ($curseur->fetch(PDO::FETCH_ASSOC) ? 1 : 0);
	}

}
