<?php 
session_start();
require("include/connexion.inc.php");
require("include/class.fonction.lib.php");
require("include/class.donnees.inc.php");
require("include/class.date.inc.php");
/** 
 * @Dossier : \ 
 * @package SLAM 
 * @Auteur : Rémi Girard
 * @Date : 07/10/2013
 */

//require "include/connexion.inc.php";
$lesOptions = array();
$lesOptions[] = "accueil";
$lesOptions[] = "fichefrais";
$lesOptions[] = "fichefraiscomptable";
$lesOptions[] = "afficherSalarie";
$lesOptions[] = "frmVehiculeSalarie";
$lesOptions[] = "frmAjouterSalarie";
$lesOptions[] = "ajouteSalarie";
$lesOptions[] = "frmModifierSalarie";
$lesOptions[] = "supprimerSalarie";
$lesOptions[] = "acceptFicheFrais";
$lesOptions[] = "visualiserFiche";

?>


<!DOCTYPE html>
<html lang="fr">
<head>
	<title>Entreprise GSB</title>
	<meta charset="utf-8">
	<link rel="shortcut icon" type="image/x-icon" href="img/icone.ico" />
	<link rel="stylesheet" type="text/css" href="css/style.css" />   
	<link rel="stylesheet" type="text/css" href="css/jquery.fancybox.css?v=2.1.4" media="screen" />
	<script type="text/javascript" src="js/jquery-1.9.0.min.js"></script>
	<script type="text/javascript" src="js/jquery.fancybox.js?v=2.1.4"></script>
	<script type="text/javascript" src="js/fonctionFancybox.js"></script>
    <script type="text/javascript" src="js/action.js"></script>
	<script type="text/javascript" src="js/fonction.js"></script>
</head>
<body >
	<div id="entete"> 
		<div id = "entete_centrer">
			<a href = "index.php?page=accueil" class = "lien_menu">
				<div id = "logo"></div>
			</a>
			<?php
			if (isset($_SESSION['nom']) && isset($_SESSION['prenom']) && isset($_SESSION['matricule']) && isset($_SESSION['groupe']))
			{
				$groupe = Donnees::getNomGroupe($_SESSION["groupe"]);
				echo '<div id = "entete_user"><b>Bienvenue :</b></br>' . $_SESSION["prenom"] . ' ' . $_SESSION["nom"] . '</br></br> <b>Groupe : </b></br>' . $groupe . ' 
					<div id = "entete_photo"><IMG class = "image" SRC="photo/' . $_SESSION['matricule'] . '.jpg"></div></div>';
			}
			?>
		</div>
	</div>
	<div id="menu"> 
		<table id = menu>
			<tr>
				<td class = "menu">
					<a href = "index.php?page=accueil" class = "lien_menu">Accueil</a>
				</td>
				<td class = "separation"></td>
			<?php
				if (isset($_SESSION['groupe']))
				{
					$sql ="select libelle, fichier from Onglet inner join Acceder on Onglet.idOnglet = Acceder.idOnglet where idGroupe = " . $_SESSION['groupe'] . ";"; 
					$curseur = $db->query($sql); 
					$ligne = $curseur->fetch();      
					while($ligne)
					{ 
						echo "<td class = 'menu'> <a href = \"index.php?page=" . $ligne["fichier"] . "\" class = \"lien_menu\">" . $ligne["libelle"] . "</a> </td>
							<td class = \"separation\"></td>";
						 $ligne = $curseur->fetch();
					}
				}
			
				if (isset($_SESSION['matricule']))
				{
					echo "<td class = 'menu'><a class=\"lien_menu\" href=\"logout.php\">Deconnexion</a></td>";
				}
				else
				{
					echo '<td class = "menu"><a class="lien_menu" data-fancybox-type="iframe" href="connexion.php">Connexion</a></td>';
				}
				?>
			</tr>
		</table>
	</div>	
	<div id="corps">
		 <?php		
		
			$page = isset($_GET["page"]) ?  $_GET["page"] : "accueil";
			
			if (in_array($page, $lesOptions)) 
			{		
				require $page . ".php";			
			} 
			else 
			{
				require "./include/accueil.php";
			}
		 ?>
	</div>
	
	<div id="pied">
		&#169; Copyright <?php echo date('Y'); ?> - BAG - Tous droits réservés.	
	</div>
</body>
</html>
