﻿function addRow(tableID) {
	var table = document.getElementById(tableID);

	var rowCount = table.rows.length;
	var row = table.insertRow(rowCount);

	var cell1 = row.insertCell(0);
	var element1 = document.createElement("input");
	element1.type = "date";
	element1.name = "dateA" + rowCount;
	cell1.appendChild(element1);

	var cell2 = row.insertCell(1);
	var element2 = document.createElement("input");
	element2.type = "text";
	element2.name = "libelleA" + rowCount;
	element2.placeholder = "Libelle...";
	element2.size = 55;
	cell2.appendChild(element2);

	var cell3 = row.insertCell(2);
	var element3 = document.createElement("input");
	element3.type = "text";
	element3.name = "mtA" + rowCount;
	element3.placeholder = "Montant...";
	element3.size = 10;
	cell3.appendChild(element3);
	
	var cell5 = row.insertCell(3);
	var element5 = document.createElement("input");
	element5.type = "file";
	element5.name = "fileA" + rowCount;
	cell5.appendChild(element5);
	
	var cell4 = row.insertCell(4);
	var element4 = document.createElement("input");
	element4.type = "button";
	element4.value = "-";
	element4.onclick = function() { delRow() };
	element4.name = "button";
	cell4.appendChild(element4);
	
	document.getElementById( 'pied' ).scrollIntoView();
};

function delRow(){
	var current = window.event.srcElement;
	while ( (current = current.parentElement)  && current.tagName !="TR");
		 current.parentElement.removeChild(current);
};

function doCalc(tableID, num) {
	var x = document.getElementById(tableID).rows;
    var y = x[num].cells;
	var a = document.getElementById(num).value;
	var b = y[2].innerHTML;
	var c = Number((parseFloat(a) * parseFloat(b)).toFixed(2));
	y[3].innerHTML = '<input type="hidden" value="' + c + '" name="total' + num + '"/>' + c;
	if (document.getElementById(num).value == '')
		y[3].innerHTML = '<input type="hidden" value="--" name="total' + num + '"/>--';
	else if (c == 'NaN')
		y[3].innerHTML = '<input type="hidden" value="non valide" name="total' + num + '"/>non valide';
};

function retourPageConnexion()
{
	parent.window.location.reload(true);
	window.parent.$.fancybox.close();
}