<?php
	session_start();
	require("include/class.donnees.inc.php");
	require("include/class.fonction.lib.php");
	
	$idFiche = Donnees::getNextIdFicheFrais();
	
	$mois = $_POST['mois'] + 1;
	$qteNuit = $_POST['1'];
	$qteRepas = $_POST['2'];
	$nbKm = $_POST['3'];
	$totalNuit = $_POST['total1'];
	$totalRepas = $_POST['total2'];
	$totalKm = $_POST['total3'];
	
	$lesErreurs['ext'] = false;
	$lesErreurs['size'] = false;
	$lesErreurs['upload'] = false;
	$lesErreurs['numeric'] = false;

	$total = $totalNuit + $totalRepas + $totalKm;
	$dossier = 'upload/';
	$defaultNom = $_SESSION["matricule"] . "_" . $idFiche . "_";
	$numImg = 0;
	
	// fonction qui vérifie si l'extension du fichier est valide
	function checkExt($ext){
		$lesExtensions = array('jpg','jpeg','png','pdf','bmp');
		return !in_array($ext,$lesExtensions);
	}
	
	// vérification des images pour les nuités
	$files = $_FILES['file1']['tmp_name'];
	$nb = count($files);
	$i = 0;
	while (!$lesErreurs['ext'] && !$lesErreurs['size'] && !$lesErreurs['upload'] && $i < $nb) {
		if ($_FILES['file1']['error'][$i] == 1)
		{
			$lesErreurs['size'] = true;
			$numImg++;
		}
		else if ($files[$i] != '') {
			if ($_FILES['file1']['error'][$i] != 0)
			{
				$lesErreurs['upload'] = true;
				$numImg++;
			}
			else {
				$ext = strtolower(substr(strrchr($_FILES['file1']['name'][$i], "."), 1));
				$lesErreurs['ext'] = checkExt($ext);
				$nom[$i] = $defaultNom . "1_" . $i . '.' . $ext;
				$img[$i] = $files[$i];
				$numImg++;
			}
		}
		$i++;
	}
	
	// vérification des images pour les repas
	$files = $_FILES['file2']['tmp_name'];
	$nb = count($files);
	$i = 0;
	while (!$lesErreurs['ext'] && !$lesErreurs['size'] && !$lesErreurs['upload'] && $i < $nb) {
		if ($_FILES['file2']['error'][$i] == 1)
		{
			$lesErreurs['size'] = true;
			$numImg++;
		}
		else if ($files[$i] != '') {
			if ($_FILES['file2']['error'][$i] != 0)
			{
				$lesErreurs['upload'] = true;
				$numImg++;
			}
			else {
				$ext = strtolower(substr(strrchr($_FILES['file2']['name'][$i], "."), 1));
				$lesErreurs['ext'] = checkExt($ext);
				$nom2[$i] = $defaultNom . "2_" . $i . '.' . $ext;
				$img2[$i] = $files[$i];
				$numImg++;
			}
		}
		$i++;
	}
	
	// vérification pour les autres frais : champs et images
	$i = 0;
	$z = 1;
	while (!$lesErreurs['ext'] && !$lesErreurs['size'] && !$lesErreurs['numeric'] && !$lesErreurs['upload'] && isset($_POST['mtA' . $z . ''])){
		if ($_POST['libelleA' . $z . ''] != '') {
			$file[$i] = $_FILES['fileA' . $z . '']['tmp_name'];
			$mt[$i] = $_POST['mtA' . $z . ''];
			if (!is_numeric($mt[$i]))
				$lesErreurs['numeric'] = true;
			$libelle[$i] = $_POST['libelleA' . $z . ''];
			$date[$i] = $_POST['dateA' . $z . ''];
			$total = $total + $mt[$i];
			if ($_FILES['fileA' . $z . '']['error'] == 1) {
				$lesErreurs['size'] = true;
				$numImg++;
			}
			else if ($_FILES['fileA' . $z . '']['tmp_name'] != '') {
				if ($_FILES['fileA' . $z . '']['error'] != 0) {
					$lesErreurs['upload'] = true;
					$numImg++;
				}
				else {
					$ext = strtolower(substr(strrchr($_FILES['fileA' . $z . '']['name'], "."), 1));
					$lesErreurs['ext'] = checkExt($ext);
					$nom3[$i] = $defaultNom . "0_" . $i . '.' . $ext;
					$img3[$i] = $file[$i];
					$numImg++;
				}
			}
		}
		$i++;
		$z++;
	}
	
	// insertion dans la base ou redirection si erreurs
	// erreur d'extension
	if ($lesErreurs['ext']) {
		$_SESSION['upload'] = 'Erreur : le type de la pièce jointe (' . $numImg . ') est incorrect.<br>Extensions autorisées : jpg, jpeg, png, bmp, pdf';
		header('Location:index.php?page=fichefrais');
	}
	// erreur de taille (supérieur à celle du serveur : 2mo)
	else if ($lesErreurs['size']) {
		$_SESSION['upload'] = 'Erreur : la taille de la pièce jointe (' . $numImg . ') dépasse la limite autorisée (2 Mo)';
		header('Location:index.php?page=fichefrais');
	}
	// erreur inconnue d'upload
	else if ($lesErreurs['upload']) {
		$_SESSION['upload'] = 'Erreur : la pièce jointe (' . $numImg . ') n\'a pas pu être chargée.';
		header('Location:index.php?page=fichefrais');
	}
	// champs non numériques
	else if ($lesErreurs['numeric'] || !is_numeric($qteNuit) || !is_numeric($qteRepas) || !is_numeric($nbKm)) {
		$_SESSION['upload'] = 'Erreur : La quantité indiquée n\'est pas numérique';
		header('Location:index.php?page=fichefrais');
	}
	else {
		Donnees::addFicheFrais($idFiche,$mois,$nbKm,$total,$_SESSION["matricule"],$qteNuit,$qteRepas);
		// forfaitaire : justificatifs nuités
		if (isset($nom)) {
			for ($j = 0 ; $j < count($nom) ; $j++) {
				Donnees::addJustificatif($idFiche, 1, $nom[$j]);
				copy($img[$j], $dossier . $nom[$j]);
			}
		}
		// forfaitaire : justificatifs repas
		if (isset($nom2)) {
			for ($j = 0 ; $j < count($nom2) ; $j++) {
				Donnees::addJustificatif($idFiche, 2, $nom2[$j]);
				copy($img2[$j], $dossier . $nom2[$j]);
			}
		}
		// hors forfait
		for ($j = 0 ; $j < count($libelle) ; $j++) {
			if (isset($nom3[$j])) {
				Donnees::addHorsForfait($libelle[$j],$date[$j],$mt[$j],$idFiche,$nom3[$j]);
				copy($img3[$j], $dossier . $nom3[$j]);
			}
			else {
				Donnees::addHorsForfait($libelle[$j],$date[$j],$mt[$j],$idFiche,"");
			}
		}
		$_SESSION['upload'] = 'La fiche de frais a bien été enregistrée !';
		header('Location:index.php?page=accueil');
	}
?>